
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>url-MFC  URL编码 含有中文编码问题求解 / iVAN</title>

    <meta name="description" content="url-MFC  URL编码 含有中文编码问题求解 问题描述 MFC URL编码 含有中文编码问题求解 程序里需要通过URL传递参数,里面如果有中文的话就变成?????,程序设置为多字节. 求一个可以用的 URL编码例子 解决方案 自己解决了 转化例子 void UnicodeToUTF_8(char* pOut, WCHAR* pText) { // 注意 WCHAR高低字的顺序,低字节在前,高字节在后 char* pchar = (char *)pText; pOut[0] = (0xE0 | ((pchar[1] &amp; 0xF0) & ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">url-MFC  URL编码 含有中文编码问题求解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>MFC  URL编码 含有中文编码问题求解
        </dt>
<dd>
          <br />程序里需要通过URL传递参数，里面如果有中文的话就变成?????，程序设置为多字节。<br />
求一个可以用的 URL编码例子</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>自己解决了  转化例子</p>
<pre><code> void UnicodeToUTF_8(char* pOut, WCHAR* pText)
{
    // 注意 WCHAR高低字的顺序,低字节在前，高字节在后
    char* pchar = (char *)pText;
    pOut[0] = (0xE0 | ((pchar[1] &amp; 0xF0) &gt;&gt; 4));
    pOut[1] = (0x80 | ((pchar[1] &amp; 0x0F) &lt;&lt; 2)) + ((pchar[0] &amp; 0xC0) &gt;&gt; 6);
    pOut[2] = (0x80 | (pchar[0] &amp; 0x3F));
    return;
}

void GB2312ToUTF_8(CString&amp; pOut, char *pText, int pLen)
{
    char buf[4];
    memset(buf, 0, 4);
    pOut.Empty();
    int i = 0;
    while (i &lt; pLen)
    {
        //如果是英文直接复制就可以
        if (pText[i] &gt;= 0)
        {
            char asciistr[2] = { 0 };
            asciistr[0] = (pText[i++]);
            pOut.Append(asciistr);
        }
        else
        {
            WCHAR pbuffer;
            Gb2312ToUnicode(&amp;pbuffer, pText + i);
            UnicodeToUTF_8(buf, &amp;pbuffer);
            pOut.Append(buf);
            i += 2;
        }
    }
    return;
}
void Gb2312ToUnicode(WCHAR* pOut, char *gbBuffer)
{
    ::MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, gbBuffer, 2, pOut, 1);
    return;
}
CString UrlUTF8(char * str)
{
    CString tt;
    CString dd;
    GB2312ToUTF_8(tt, str, (int)strlen(str));
    size_t len = tt.GetLength();
    for (size_t i = 0; i&lt;len; i++)
    {
        if (isalnum((BYTE)tt.GetAt(i)))
        {
            char tempbuff[2] = { 0 };
            sprintf(tempbuff, "%c", (BYTE)tt.GetAt(i));
            dd.Append(tempbuff);
        }
        else if (isspace((BYTE)tt.GetAt(i)))
        {
            dd.Append("+");
        }
        else
        {
            char tempbuff[4];
            sprintf(tempbuff, "%%%X%X", ((BYTE)tt.GetAt(i)) &gt;&gt; 4, ((BYTE)tt.GetAt(i)) % 16);
            dd.Append(tempbuff);
        }
    }
    return dd;
}
</code></pre>
<p>解决方案二：<br />
    <br />将参数中的中文内容base64编码，然后再传输，在服务端再进行解码，这样就不会乱码了</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 16:16:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a0%81/" title="编码">编码</a>, <a href="https://www.iamivan.net/tag/url/" title="url">url</a>, <a href="https://www.iamivan.net/tag/mfc/" title="mfc">mfc</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>url-MFC  URL编码 含有中文编码问题求解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QWLAp.html" rel="bookmark">编码-htmlparser抓取url的时候，含有中文字符抛出异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 htmlparser抓取url的时候,含有中文字符抛出异常 我明确的看了网站的编码是gb2312,并且有设置 parser.setEncoding(&quot;gb2312&quot;); 但是最后抛出这个异常 Exception in thread &quot;main&quot; java.lang.IllegalArgumentException 原因是我的url里面含有中文,不知道该怎么结局诶 解决方案 这个可能是htmlparser的弊端吧!还有好几种比较不错的解析html,比如Jso			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKVLOb.html" rel="bookmark">Objective-C 对 URL 进展 URLEncode 编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Objective-C 对 URL 进行 URLEncode 编码在 iOS 程序访问 HTTP 资源时需要对 URL 进行 Encode,比如像拼出来的 +&amp;sd f&amp;p2=中文,其中的中文.特殊符号&amp;%和空格都必须进行转译才能正确访问. 在 Java..net 和 JS 中都有相应的 encodeURL 方法可用,在 Objective-C 语言中,你可以试下 - (NSString *)stringByAddingPercentEscapesUsingEncoding:(NS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBnrZM.html" rel="bookmark">url中图片名含有&percnt;23转义字符，无法访问，急急急急急急急。。解决马上送分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 各位高手帮忙解决.url中图片名含有%23转义字符,无法访问,提示404-找不到文件或目录.比如:http://www.abcd.com/image/M34286G2GP%23WC.jpg可是伪静态文件就可以访问比如:http://www.abcd.com/image/M34286G2GP%23WC.htmWeb.Config中也增加了&lt;security&gt;&lt;requestFilteringallowDoubleEscaping=&quot;true&quot;/&gt;&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOXLV3b.html" rel="bookmark">对URL地址进行编码 优化2&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP(Active Server Page)是 Microsoft 公司推出的基于 PWS (Personal Web Server)&amp; IIS (InternetInformation Server)平台的.基于 ISAPI (InternetServiceAPI) 原理的动态网页开发技术,目前日趋成熟完善.在这里仅就代码优化进行一些简单讨论.  1.声明VBScript变量 在ASP中,对vbscript提供了强劲的支持,能够无缝集成vbscript的函数.方法,这样给扩展ASP的现有功能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDvWmz.html" rel="bookmark">对URL地址进行编码 优化2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP(Active Server Page)是 Microsoft 公司推出的基于 PWS (Personal Web Server)&amp; IIS (InternetInformation Server)平台的.基于 ISAPI (InternetServiceAPI) 原理的动态网页开发技术,目前日趋成熟完善.在这里仅就代码优化进行一些简单讨论.  1.声明VBScript变量 在ASP中,对vbscript提供了强劲的支持,能够无缝集成vbscript的函数.方法,这样给扩展ASP的现有功能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QZDmp.html" rel="bookmark">使用jquery获取url及url参数的简单实例&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用jquery获取url以及使用jquery获取url参数是我们经常要用到的操作 1.jquery获取url很简单,代码如下: window.location.href; 其实只是用到了javascript的基础的window对象,并没有用jquery的知识. 2.jquery获取url参数比较复杂,要用到正则表达式,所以学好javascript正则式多么重要的事情 首先看看单纯的通过javascript是如何来获取url中的某个参数: //获取url中的参数 function getUrlP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NaAWz.html" rel="bookmark">一个从网页tag里面分析url和url标题的类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.不得不说的废话 我知道用 MSHTML 的 IHTMLDocument2 的 get_links 获取 IHTMLElementCollection 接口,通过 IHTMLElementCollection 来获取 IHTMLAnchorElement,再通过 IHTMLAnchorElement 接口的get_href 我们就可以得到网页的所有链接了!但这是用 MSHTML 的办法,就我本人而言,总喜欢自己来搞,不喜欢用看不到内部的东西(虽然 microsoft 写得比我的好).所以,我就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJk762b.html" rel="bookmark">如何seo url与url标准写法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何seo教程 url与url标准写法 相信给大部分人的第一反应就是url要静态化,至少也得伪静态.确实是这个操作能引起搜索引擎的喜欢,那么试问,谁是第一个提出的呢,是百度自己吗?要给大家一年反问也就是为了说明,url静态化的真正原因. 其实对于gg而言,网站的url是否要静态化处理没有太大的差别.这话怎么说,对于gg搜索引擎来说,他还是能看懂我们网站带?的url动态路径.那么也就是说它能在一定的程度上识别网站url的参数,相反对于做过静态化处理的,往往会造成url意义不明确无非就是一个代号.而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQWOw0p.html" rel="bookmark">url asp 跳转-请教下 无损外链跳转url&period;asp&quest;url&equals;http&colon;&sol;&sol;xxx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请教下 无损外链跳转url.asp?url=http://xxx 以下代码如何实现过滤以 http ftp www https 开头的网址 修改前链接格式为 域名/url.asp?url=http://www.baidu.com 修改后链接格式为 域名/url.asp?url=baidu.com 请高手指点 谢谢. &lt;% dim url dim baiyea_url baiyea_url=request(&quot;url&quot;) Response.Redirect baiyea_u			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8ERVz.html" rel="bookmark" class="title">js 本地存储&colon;本地数据库存储JS类</a>
					<div>
						//js调用本地数据库主JS文件var HD = {is_db : null,uid : null,ukey : null,shortName : 'hd',version : '1.0',displ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMljBNz.html" rel="bookmark" class="title">网页设计&colon;CSS3、HTML5、JS和框架</a>
					<div>
						文章描述:网页设计:CSS3.HTML5.JS和框架.  如今大热的HTML5到底美在哪里?HTML5到底能为实际的移动开发带来哪些改变?来自阿里云云手机服务运营部的前端开发工程师分享了他眼中的HTM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJR46z.html" rel="bookmark" class="title">保障网站安全运营 设置数据库安全三大措施</a>
					<div>
						数据库,网站运营的基础,网站生存的要素,不管是个人用户还是企业用户都非常依赖网站数据库的支持,然而很多别有用心的攻击者也同样非常&quot;看重&quot;网站数据库. 数据库,网站运营的基础,网站生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNDaPz.html" rel="bookmark" class="title">对近期百度和Google收录调整的观察和看法</a>
					<div>
						近期百度和Google都对自身对网站的收录情况和算法进行了一定程度的调整,我们网站的收录.排名情况其间出现了比较多次的波动,其中个别次波动还比较大,比如昨天百度对网站外链的偶尔性&quot;抽风调整& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRmlqz.html" rel="bookmark" class="title">在Sharepoint 2010中复制日历列表中的Event数据</a>
					<div>
						在SharePoint 中没有 copy item的功能, 是有   file 是有copy 的 所以我们要复制 event 数据只能 用程序 一个一个对应着赋值. 那改怎么赋值 不会丢失数据呢 ?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlenmb.html" rel="bookmark" class="title">JSP自定义标签实现数据字典</a>
					<div>
						1.关于JSP标签的好处就不再罗嗦 数据字典就是使用的下拉框,只要定义使用那个字典就会将这个字典可用的内容显示出来 显示字典时只要定义那个字典和属性值就可以显示出字典的显示值          2.首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB23qkb.html" rel="bookmark" class="title">世界之窗浏览器如何保存网页为图片</a>
					<div>
						  除了可以将网页保存为网页文件之外,您还可以将网页保存为图片,方便以后查看.分享. 推荐您保存成png格式,它采用无损压缩技术,保存的效果和原网页效果是一致的. 以下为缩小后的网页保存图片:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd7aOM.html" rel="bookmark" class="title">win8切换账号时无法连接微软帐户怎么办</a>
					<div>
						  在Win8系统中,我们可以直接将本地帐号切换至微软帐户上,从而实现帐户网络的共享.不过,最近有些win8系统用户反映自己在切换帐户时,发现自己根本无法连接到最新win8系统微软帐户.遇到这种情况, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Nn1p.html" rel="bookmark" class="title">如何使用135编辑器</a>
					<div>
						  ▼135编辑器中的样式换色方式有:全文换色.部分换色 全文换色 1. ctrl+a,选中全文 2. 点击任意需要的颜色; 3. 编辑框中所有内容的颜色则全部换色(注:文字颜色需使用[工具栏中]字体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badngPz.html" rel="bookmark" class="title">connectify怎么设置？</a>
					<div>
						  connectify分为中文版与英文版,不少网友在网络上找到的都是connectify的英文版,因为语言的原因,英文版的connectify给使用造成不少麻烦.那么,connectify怎么设置w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV4mmb.html" rel="bookmark" class="title">Android ViewPager制作新手导航页&lpar;动态加载&rpar;&lowbar;Android</a>
					<div>
						我们来讲个老生常谈的话题,估计大家都用过的-&gt;ViewPager,用它来做新手导航页面,虽然这次也是讲这个,但是和以往的用法可能有些不同,大家都看到标题进来的,应该知道的是:动态加载指示器. 什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw0RKM.html" rel="bookmark" class="title">oracle-关于ORACLE时间格式转化的问题</a>
					<div>
						问题描述 关于ORACLE时间格式转化的问题 现在要从一张表的数据插入另一张表,其中源表中有个字段是VARCHAR2类型,对应的目标表是DATE类型. 问题来了,这个字段中的字符串很不规则,举几个例子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamNRNb.html" rel="bookmark" class="title">在ubuntu上关于生成一个后台进程一直活在，直到收到结束的信号量才自动结束</a>
					<div>
						问题描述 在ubuntu上关于生成一个后台进程一直活在,直到收到结束的信号量才自动结束 我了解了用setprgp()和setsid()让他变为一个后台的进程,但是如何让他不死,直到有一个信号量传入才死 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN797op.html" rel="bookmark" class="title">最新Win10预览版发布 主要修复Ubuntu bash和电池问题</a>
					<div>
						微软最新的Windows 10测试版在Ubuntu bash和电源管理.以及一个新的Office 365中Cortana的搜索功能方面做了改进. 这些改进是在Widows 10内部预览构建版14332 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NjNaz.html" rel="bookmark" class="title">Storm Trident API 实践</a>
					<div>
						一.概要      1.1 Storm(简介)      Storm是一个实时的可靠地分布式流计算框架.      具体就不多说了,举个例子,它的一个典型的大数据实时计算应用场景:从Kafka消息队列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA32Dp.html" rel="bookmark" class="title">阿里巴巴投资研究量子计算，有什么用？</a>
					<div>
						不久前,中国科学技术大学上海研究院(中科院量子信息与量子科技前沿卓越创新中心)副研究员张文卓老师撰写了一篇关于量子计算的文章,并发表于果壳网. 保障君拜读后的第一感是,这是目前关于量子技术及其应用的最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40qoNz.html" rel="bookmark" class="title">android intent-android跳转到第三方应用 如果第三方应用已经启动，但是隐藏被了，如何让它显示出来？</a>
					<div>
						问题描述 android跳转到第三方应用 如果第三方应用已经启动,但是隐藏被了,如何让它显示出来? 我在我自己的应用内跳转到其他应用(如:QQ.UC等),如果目标应用已经启动过,但是隐藏了,跳转就不起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0v3DM.html" rel="bookmark" class="title">javascript-JavaScript 表格   排序问题</a>
					<div>
						问题描述 JavaScript 表格 排序问题 用JavaScript在HTML界面上输出了一个表格,如图所示.现在的想法是单击&quot;Life&quot;单元格,可以实现对表格的排序,&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60ZPyz.html" rel="bookmark" class="title">Coldfusion MX技巧精华收集之2第1&sol;6页&lowbar;ColdFusion</a>
					<div>
						设定你的根目录  作者: Kyle 2/16/03  内容:  设定你的根目录 网站开发人员向来都一直必须在相对路径 vs. 绝对路径这项议题上面打转.在 ColdFusion 环境里面,你可以在多个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAjZob.html" rel="bookmark" class="title">求助：asp&period;net的 COM&plus;事务（分布式事务）错误问题</a>
					<div>
						问题描述 当我调试以下程序的时候会报以下错误{&quot;程序集&quot;C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\TemporaryASP.NET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodGgEM.html" rel="bookmark" class="title">Twitter大幅改版产品 但用户并不买账</a>
					<div>
						2月11日,外媒报道称,自从去年7月回归Twitter以来,该公司CEO杰克·多西(Jack Dorsey)已经对这款服务展开了一些大幅改版,还承诺将进行更多改版. 但目前为止,这些新功能始终未能达到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7DorM.html" rel="bookmark" class="title">JAVA帮助文档全系列 JDK1&period;5 JDK1&period;6 JDK1&period;7 官方中英完整版整理&lowbar;java</a>
					<div>
						JDK(Java Development Kit,Java开发包,Java开发工具)是一个写Java的applet和应用程序的程序开发环境.它由一个处于操作系统层之上的运行环境还有开发者编译,调试和运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8dKkb.html" rel="bookmark" class="title">jQuery实现自动调用和触发某个事件的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery实现自动调用和触发某个事件的方法.分享给大家供大家参考,具体如下: 我以点击事件为例,研究一下这个话题: jQuery 自动触发点击事件 1.比如我们通过jquery定义了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKwPWz.html" rel="bookmark" class="title">VC&plus;&plus;读取图像RGB值</a>
					<div>
						代码: #include &lt;iostream&gt; #include &lt;fstream&gt; #include &lt;string&gt; #include &lt;windows. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOLeVb.html" rel="bookmark" class="title">关于ictclas，跪求指导</a>
					<div>
						问题描述 关于ictclas,跪求指导 ictclas分词系统最后输出的权重是怎么计算的,是相对词频吗?初次使用ictclas,跪求解答,谢谢!! 解决方案 http://bbs.csdn.net/t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Nr19b.html" rel="bookmark" class="title">esayui datagrid 刷新无效</a>
					<div>
						问题描述 代码如下,对数据操作后刷新无效functionSave(){vartypeid=$(&quot;#ddlContract&quot;).combobox('getValue');vartyp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ703M.html" rel="bookmark" class="title">IBM JDK1&period;4&period;2 javacore分析原因</a>
					<div>
						问题描述 请牛人帮忙分析一下这个javacore文件,基本问题已经定位在Thread-1上,从stack看,是atjava.lang.Class.forName1调用的时候出错了,clSearchFo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YD07p.html" rel="bookmark" class="title">安全人才严重匮乏催生&amp;quot&semi;情报即服务&amp;quot&semi;产业</a>
					<div>
						本文讲的是 :  安全人才严重匮乏催生&quot;情报即服务&quot;产业  ,  [IT168 编译]在去年召开的RSA安全大会上,各类规模的企业都开始认识到高层员工与间谍机构之间关联是前所未有. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmRx4b.html" rel="bookmark" class="title">java中break与continue</a>
					<div>
						break: for (int i = 0; i &lt; 3; i++) { for (int j = 0; j &lt; 3; j++) { if (j == 1) { break; } Syst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLJGK5b.html" rel="bookmark" class="title">腾讯云平台部总经理陈磊： 腾讯云今日起全面降价  最高降50&percnt;</a>
					<div>
						腾讯云平台部总经理陈磊5月10日消息,在今日召开的2014第九界中国互联网创业者 大会上,腾讯云平台部总经理陈磊宣布,腾讯云今日起全面降价,最高降幅超过50%.陈磊在演讲时表示, 移动互联时代的四大机 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
